Index: webapp/cms/WEB-INF/i18n/application.xml
===================================================================
--- webapp/cms/WEB-INF/i18n/application.xml	(revision 40254)
+++ webapp/cms/WEB-INF/i18n/application.xml	(working copy)
@@ -80,7 +80,55 @@
 	<message key="GADGETS_GROUP_OFFICE_TOOLS">Outils bureautiques</message>
 	<message key="GADGETS_GROUP_NEWS">Actualités</message>
 	
-	   
+    <!-- +
+         | DEFAULT FORM ENTRY WORKFLOW
+         + -->
+	<!-- Workflow -->
+    <message key="WORKFLOW_form-default">Standard</message>
+    
+    <message key="WORKFLOW_STATE_PROPOSED">Proposé</message>
+    <message key="WORKFLOW_STATE_PROPOSED_DESCRIPTION">L'état 'Proposé' est activé lorsque l'entrée sélectionnée a été soumise.</message>
+    <message key="WORKFLOW_STATE_PROPOSED_FOOTER"></message>
+    
+    <message key="WORKFLOW_STATE_REFUSED">Refusé</message>
+    <message key="WORKFLOW_STATE_REFUSED_DESCRIPTION">L'état 'Refusé' est activé lorsque l'entrée sélectionnée a été refusée.</message>
+    <message key="WORKFLOW_STATE_REFUSED_FOOTER"></message>
+    
+    <message key="WORKFLOW_STATE_ACCEPTED">Accepté</message>
+    <message key="WORKFLOW_STATE_ACCEPTED_DESCRIPTION">L'état 'Accepté' est activé lorsque l'entrée sélectionnée a été acceptée.</message>
+    <message key="WORKFLOW_STATE_ACCEPTED_FOOTER"></message>
+    
+    <message key="WORKFLOW_STATE_INCOMPLETE">Demande de compléments</message>
+    <message key="WORKFLOW_STATE_INCOMPLETE_DESCRIPTION">L'état 'Demande de compléments' est activé lorsque l'entrée sélectionnée est incomplète.</message>
+    <message key="WORKFLOW_STATE_INCOMPLETE_FOOTER"></message>
+    
+    <message key="WORKFLOW_ACTION_REFUSE">Refuser</message>
+    <message key="WORKFLOW_ACTION_REFUSE_DESCRIPTION">Cliquez ici pour refuser la ou les entrée(s) de formulaire sélectionnée(s).</message>
+    
+    <message key="WORKFLOW_ACTION_ACCEPT">Accepter</message>
+    <message key="WORKFLOW_ACTION_ACCEPT_DESCRIPTION">Cliquez ici pour accepter la ou les entrée(s) de formulaire sélectionnée(s).</message>
+    
+    <message key="WORKFLOW_ACTION_NEED_COMPLEMENTS">Demander des compléments</message>
+    <message key="WORKFLOW_ACTION_NEED_COMPLEMENTS_DESCRIPTION">Cliquez ici pour demander des compléments sur la ou les entrée(s) de formulaire sélectionnée(s).</message>
+    
+    <message key="WORKFLOW_ACTION_RESET">Réinitialiser</message>
+    <message key="WORKFLOW_ACTION_RESET_DESCRIPTION">Cliquez ici pour réinitialiser sur la ou les entrée(s) de formulaire sélectionnée(s).</message>
+    
+    <!-- Rights -->
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_CATEGORY">Cycle de vie standard des entrées de formulaire</message>
+    
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_ACCEPT_LABEL">Accepter une entrée de formulaire</message>
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_ACCEPT_DESCRIPTION">Autorise à accepter une entrée de formulaire.</message>
+    
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_REFUSE_LABEL">Refuser une entrée de formulaire</message>
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_REFUSE_DESCRIPTION">Autorise à refuser une entrée de formulaire.</message>
+    
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_FURTHER_INFORMATION_LABEL">Demander des compléments sur une entrée de formulaire</message>
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_FURTHER_INFORMATION_DESCRIPTION">Autorise à demander des compléments sur une entrée de formulaire.</message>
+    
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_RESET_LABEL">Réinitialiser le cycle de vie d'une entrée de formulaire</message>
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_RESET_DESCRIPTION">Autorise à réinitialiser le cycle de vie d'une entrée de formulaire.</message>
+ 	   
     <!-- +
          | DOMAIN
          + -->
Index: webapp/cms/WEB-INF/i18n/application_en.xml
===================================================================
--- webapp/cms/WEB-INF/i18n/application_en.xml	(revision 40254)
+++ webapp/cms/WEB-INF/i18n/application_en.xml	(working copy)
@@ -81,4 +81,53 @@
 	<message key="GADGETS_GROUP_OFFICE_TOOLS">Office tools</message>
 	<message key="GADGETS_GROUP_NEWS">News</message>
 	
+	<!-- +
+	     | FORM ENTRIES DEFAULT WORKFLOW
+	     + -->
+	<!-- Workflow -->
+	<message key="WORKFLOW_form-default">Standard</message>
+	
+	<message key="WORKFLOW_STATE_PROPOSED">Proposed</message>
+    <message key="WORKFLOW_STATE_PROPOSED_DESCRIPTION">The 'Proposed' state is active when the selected entry has been submitted.</message>
+    <message key="WORKFLOW_STATE_PROPOSED_FOOTER"></message>
+    
+    <message key="WORKFLOW_STATE_REFUSED">Refused</message>
+    <message key="WORKFLOW_STATE_REFUSED_DESCRIPTION">The 'Refused' state is active when the selected entry has been refused.</message>
+    <message key="WORKFLOW_STATE_REFUSED_FOOTER"></message>
+    
+    <message key="WORKFLOW_STATE_ACCEPTED">Accepted</message>
+    <message key="WORKFLOW_STATE_ACCEPTED_DESCRIPTION">The 'Accepted' state is active when the selected entry has been accepted.</message>
+    <message key="WORKFLOW_STATE_ACCEPTED_FOOTER"></message>
+    
+    <message key="WORKFLOW_STATE_INCOMPLETE">Complements needed</message>
+    <message key="WORKFLOW_STATE_INCOMPLETE_DESCRIPTION">The "Complements needed" state is active when the selected entry is marked incomplete.</message>
+    <message key="WORKFLOW_STATE_INCOMPLETE_FOOTER"></message>
+    
+    <message key="WORKFLOW_ACTION_ACCEPT">Accept</message>
+    <message key="WORKFLOW_ACTION_ACCEPT_DESCRIPTION">Click here to accept the selected form entry(ies).</message>
+    
+    <message key="WORKFLOW_ACTION_REFUSE">Refuse</message>
+    <message key="WORKFLOW_ACTION_REFUSE_DESCRIPTION">Click here to refuse the selected form entry(ies).</message>
+    
+    <message key="WORKFLOW_ACTION_NEED_COMPLEMENTS">Ask for complements</message>
+    <message key="WORKFLOW_ACTION_NEED_COMPLEMENTS_DESCRIPTION">Click here to ask for complements on the selected form entry(ies).</message>
+
+    <message key="WORKFLOW_ACTION_RESET">Reinitialize</message>
+    <message key="WORKFLOW_ACTION_RESET_DESCRIPTION">Click here to reinitialize the selected form entry(ies).</message>
+    
+	<!-- Rights -->
+	<message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_CATEGORY">Standard workflow form default form entries</message>
+    
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_ACCEPT_LABEL">Accept a form entry</message>
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_ACCEPT_DESCRIPTION">Grants the right to accept a form entry.</message>
+    
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_REFUSE_LABEL">Refuse a form entry</message>
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_REFUSE_DESCRIPTION">Grants the right to refuse a form entry.</message>
+    
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_FURTHER_INFORMATION_LABEL">Ask further information about a form entry</message>
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_FURTHER_INFORMATION_DESCRIPTION">Grants the right to ask further information about a form entry.</message>
+    
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_RESET_LABEL">Reset the workflow of a form entry</message>
+    <message key="APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_RESET_DESCRIPTION">Grants the right to reset the workflow of a form entry.</message>
+	
 </catalogue>
\ No newline at end of file
Index: webapp/cms/WEB-INF/param/cms-ribbon-default.xml
===================================================================
--- webapp/cms/WEB-INF/param/cms-ribbon-default.xml	(revision 40254)
+++ webapp/cms/WEB-INF/param/cms-ribbon-default.xml	(working copy)
@@ -642,7 +642,7 @@
 		<import>plugin:inlinemedia://cms-ribbon.xml</import>
 		
 		<!-- Forms -->
-		<import>plugin:forms://cms-ribbon.xml</import>
+		<import>cocoon://plugins/forms/ribbon.xml</import>
 		
 		<!-- Newsletter contextual tabs -->
 		<import>plugin:newsletter://cms-ribbon.xml</import>		
Index: webapp/cms/WEB-INF/param/rights.xml
===================================================================
--- webapp/cms/WEB-INF/param/rights.xml	(revision 40254)
+++ webapp/cms/WEB-INF/param/rights.xml	(working copy)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!--
-   Copyright 2010 Anyware Services
+   Copyright 2016 Anyware Services
 
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
@@ -69,4 +69,27 @@
         <category>plugin.cms:PLUGINS_CMS_RIGHTS_CONTENT_CATEGORY</category>
 	</right>
 	
+	<right id="Forms_Default_Workflow_Rights_Accept">
+	   <label>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_ACCEPT_LABEL</label>
+       <description>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_ACCEPT_DESCRIPTION</description>
+       <category>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_CATEGORY</category>
+	</right>
+	
+	<right id="Forms_Default_Workflow_Rights_Refuse">
+       <label>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_REFUSE_LABEL</label>
+       <description>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_REFUSE_DESCRIPTION</description>
+       <category>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_CATEGORY</category>
+    </right>
+    
+    <right id="Forms_Default_Workflow_Rights_Further_Information">
+       <label>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_FURTHER_INFORMATION_LABEL</label>
+       <description>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_FURTHER_INFORMATION_DESCRIPTION</description>
+       <category>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_CATEGORY</category>
+    </right>
+    
+    <right id="Forms_Default_Workflow_Rights_Reset">
+       <label>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_RESET_LABEL</label>
+       <description>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_RESET_DESCRIPTION</description>
+       <category>APPLICATION_RIGHTS_FORMS_DEFAULT_WORKFLOW_CATEGORY</category>
+    </right>
 </rights>
\ No newline at end of file
Index: webapp/cms/WEB-INF/param/runtime.xml
===================================================================
--- webapp/cms/WEB-INF/param/runtime.xml	(revision 40254)
+++ webapp/cms/WEB-INF/param/runtime.xml	(working copy)
@@ -29,7 +29,7 @@
     	<exclude>
             <feature>core/runtime.sqlmap</feature>
             <feature>core/runtime.core.has_right_sitemap_components</feature>
-            <feature>workflow/workflow-store</feature>
+            <feature>workflow/workflow-store-jcr</feature>
             <feature>cms/link-resolver</feature>
             <feature>cms/content-clientside-targetfactory</feature>
             <feature>cms/userinterface.rights.assignment.tool</feature>
Index: webapp/cms/WEB-INF/param/workflow-form-default.xml
===================================================================
--- webapp/cms/WEB-INF/param/workflow-form-default.xml	(revision 0)
+++ webapp/cms/WEB-INF/param/workflow-form-default.xml	(revision 0)
@@ -0,0 +1,124 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2016 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<!DOCTYPE workflow PUBLIC "-//OpenSymphony Group//DTD OSWorkflow 2.8//EN" "http://www.opensymphony.com/osworkflow/workflow_2_8.dtd">
+<workflow>
+    <initial-actions>
+        <action id="0" name="WORKFLOW_ACTION_PROPOSE">
+            <results>
+                <unconditional-result old-status=" " status=" " step="1" />
+            </results>
+        </action>
+    </initial-actions>
+    
+    <!-- +
+         | COMMON ACTIONS
+         + -->
+    <common-actions>
+        <action id="1" name="WORKFLOW_ACTION_REFUSE">
+            <restrict-to>
+                <conditions type="AND">
+                    <condition type="avalon">
+                        <arg name="role">org.ametys.plugins.workflow.component.CheckRightsCondition</arg>
+                        <arg name="right">Forms_Default_Workflow_Rights_Refuse</arg>
+                    </condition>
+                </conditions>
+            </restrict-to>
+            <results>
+                <unconditional-result old-status=" " status=" " step="2" />
+            </results>
+        </action>
+        <action id="2" name="WORKFLOW_ACTION_ACCEPT">
+            <restrict-to>
+                <conditions type="AND">
+                    <condition type="avalon">
+                        <arg name="role">org.ametys.plugins.workflow.component.CheckRightsCondition</arg>
+                        <arg name="right">Forms_Default_Workflow_Rights_Accept</arg>
+                    </condition>
+                </conditions>
+            </restrict-to>
+            <results>
+                <unconditional-result old-status=" " status=" " step="3" />
+            </results>
+        </action>
+        <action id="3" name="WORKFLOW_ACTION_NEED_COMPLEMENTS">
+            <restrict-to>
+                <conditions type="AND">
+                    <condition type="avalon">
+                        <arg name="role">org.ametys.plugins.workflow.component.CheckRightsCondition</arg>
+                        <arg name="right">Forms_Default_Workflow_Rights_Further_Information</arg>
+                    </condition>
+                </conditions>
+            </restrict-to>
+            <results>
+                <unconditional-result old-status=" " status=" " step="4" />
+            </results>
+            <post-functions>
+                 <function type="avalon">
+                   <arg name="role">org.ametys.plugins.forms.workflow.RequestInformationFunction</arg>
+               </function>
+            </post-functions>
+        </action>
+        <action id="4" name="WORKFLOW_ACTION_RESET">
+            <restrict-to>
+                <conditions type="AND">
+                    <condition type="avalon">
+                        <arg name="role">org.ametys.plugins.workflow.component.CheckRightsCondition</arg>
+                        <arg name="right">Forms_Default_Workflow_Rights_Reset</arg>
+                    </condition>
+                </conditions>
+            </restrict-to>
+            <results>
+                <unconditional-result old-status=" " status=" " step="1" />
+            </results>
+        </action>
+    </common-actions>
+    
+    <steps>
+        <step id="1" name="WORKFLOW_STATE_PROPOSED">
+            <actions>
+                <!-- Refuse Action -->
+                <common-action id="1" />
+                <!-- Accept Action -->
+                <common-action id="2" />
+                <!-- Complements request Action -->
+                <common-action id="3" />
+            </actions>
+        </step>
+        <step id="2" name="WORKFLOW_STATE_REFUSED">
+            <actions>
+                <!-- Reset Action -->
+                <common-action id="4" />
+            </actions>
+        </step>
+        <step id="3" name="WORKFLOW_STATE_ACCEPTED">
+            <actions>
+                <!-- Reset Action -->
+                <common-action id="4" />
+            </actions>
+        </step>
+        <step id="4" name="WORKFLOW_STATE_INCOMPLETE">
+            <actions>
+                <!-- Refuse Action -->
+                <common-action id="1" />
+                <!-- Accept Action -->
+                <common-action id="2" />
+                <!-- Further information request Action -->
+                <common-action id="4" />
+            </actions>
+        </step>
+    </steps>
+</workflow>
Index: webapp/cms/WEB-INF/param/workflows.xml
===================================================================
--- webapp/cms/WEB-INF/param/workflows.xml	(revision 40254)
+++ webapp/cms/WEB-INF/param/workflows.xml	(working copy)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!--
-   Copyright 2010 Anyware Services
+   Copyright 2016 Anyware Services
 
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
@@ -19,4 +19,5 @@
   <workflow name="newsletter" type="file" location="workflow-newsletter.xml"/>
   <workflow name="ugc" type="file" location="workflow-ugc.xml"/>
   <workflow name="blog" type="file" location="workflow-blog.xml"/>
+  <workflow name="form-default" type="file" location="workflow-form-default.xml"/>
 </workflows>
\ No newline at end of file