Index: webapp/cms/WEB-INF/param/workflow-form-default.xml
===================================================================
--- webapp/cms/WEB-INF/param/workflow-form-default.xml	(revision 40313)
+++ webapp/cms/WEB-INF/param/workflow-form-default.xml	(working copy)
@@ -68,7 +68,7 @@
             </results>
             <post-functions>
                  <function type="avalon">
-                   <arg name="role">org.ametys.plugins.forms.workflow.RequestInformationFunction</arg>
+                   <arg name="role">org.ametys.plugins.forms.workflow.SendMailFunction</arg>
                </function>
             </post-functions>
         </action>
Index: webapp/cms/plugins/default-form-workflow/i18n/messages_en.xml
===================================================================
--- webapp/cms/plugins/default-form-workflow/i18n/messages_en.xml	(revision 40319)
+++ webapp/cms/plugins/default-form-workflow/i18n/messages_en.xml	(working copy)
@@ -59,7 +59,8 @@
     <message key="FORMS_DEFAULT_WORKFLOW_RIGHTS_RESET_LABEL">Reset the workflow of a form entry</message>
     <message key="FORMS_DEFAULT_WORKFLOW_RIGHTS_RESET_DESCRIPTION">Grants the right to reset the workflow of a form entry.</message>
     
-    <!-- Further information dialog -->    
+    <!-- Further information dialog -->   
+    <message key="FORMS_DEFAULT_WORKFLOW_NEED_COMPLEMENTS_DIALOG_TITLE">Further information request mail</message> 
     <message key="FORMS_DEFAULT_WORKFLOW_NEED_COMPLEMENTS_DIALOG_SUBJECT_DEFAULT">Further information request</message>
     <message key="FORMS_DEFAULT_WORKFLOW_NEED_COMPLEMENTS_DIALOG_BODY_DEFAULT">Dear Sir/Madam,\n\nThe processing of your submission on our website is underway. However, we need further information concerning the following elements: \n[List incomplete elements here]\n\nPlease accept, Sir/Madam, our very best regards.</message>
 </catalogue>
\ No newline at end of file
Index: webapp/cms/plugins/default-form-workflow/i18n/messages_fr.xml
===================================================================
--- webapp/cms/plugins/default-form-workflow/i18n/messages_fr.xml	(revision 40319)
+++ webapp/cms/plugins/default-form-workflow/i18n/messages_fr.xml	(working copy)
@@ -60,6 +60,7 @@
     <message key="FORMS_DEFAULT_WORKFLOW_RIGHTS_RESET_DESCRIPTION">Autorise à réinitialiser le cycle de vie d'une entrée de formulaire.</message>
     
     <!-- Further information dialog -->
+    <message key="FORMS_DEFAULT_WORKFLOW_NEED_COMPLEMENTS_DIALOG_TITLE">Mail de demande de compléments</message>
     <message key="FORMS_DEFAULT_WORKFLOW_NEED_COMPLEMENTS_DIALOG_SUBJECT_DEFAULT">Demande de compléments</message>
     <message key="FORMS_DEFAULT_WORKFLOW_NEED_COMPLEMENTS_DIALOG_BODY_DEFAULT">Madame, Monsieur,\n\nLe traitement de votre soumission sur notre site web est en cours.\nToutefois, nous aurions besoin de compléments sur les éléments suivants : \n[Listez les éléments incomplets ici]\n\nVeuillez agréer, Madame, Monsieur, l'expression de nos salutations distinguées.</message>
 </catalogue>
\ No newline at end of file
Index: webapp/cms/plugins/default-form-workflow/plugin.xml
===================================================================
--- webapp/cms/plugins/default-form-workflow/plugin.xml	(revision 40319)
+++ webapp/cms/plugins/default-form-workflow/plugin.xml	(working copy)
@@ -55,6 +55,9 @@
                 <action>
                     <param name="menu-3-enable-multiselection">false</param>
                     
+                    <!-- Title of the dialog -->
+                    <param name="menu-3-dialog-title" i18n="true">plugin.default-form-workflow:FORMS_DEFAULT_WORKFLOW_NEED_COMPLEMENTS_DIALOG_TITLE</param>
+                    
                     <!-- Text used for the mail -->
                     <param name="menu-3-subject-key" i18n="true">plugin.default-form-workflow:FORMS_DEFAULT_WORKFLOW_NEED_COMPLEMENTS_DIALOG_SUBJECT_DEFAULT</param>
                     <param name="menu-3-body-key" i18n="true">plugin.default-form-workflow:FORMS_DEFAULT_WORKFLOW_NEED_COMPLEMENTS_DIALOG_BODY_DEFAULT</param>
@@ -69,12 +72,12 @@
                     
                     <comments mode="include"/>
                     
-                    <further-information mode="include">
+                    <send-mail mode="include">
                         <action>3</action>
-                    </further-information>
+                    </send-mail>
                 </workflow>
                 <scripts>
-                    <file plugin="forms">js/org/ametys/forms/workflow/FurtherInformationDialog.i18n.js</file>
+                    <file plugin="forms">js/org/ametys/forms/workflow/SendMailDialog.i18n.js</file>
                 </scripts>
             </extension>
             
@@ -91,7 +94,7 @@
                     
                     <comments mode="include"/>
                     
-                    <further-information mode="include"/>
+                    <send-mail mode="include"/>
                 </workflow>
             </extension>
             
@@ -108,7 +111,7 @@
                     
                     <comments mode="include"/>
                     
-                    <further-information mode="include"/>
+                    <send-mail mode="include"/>
                 </workflow>
             </extension>
             
@@ -123,7 +126,7 @@
                     
                     <comments mode="include"/>
                     
-                    <further-information mode="include"/>
+                    <send-mail mode="include"/>
                 </workflow>
             </extension>
         </extensions>