Index: main/plugin-odf-export/src/org/ametys/odf/export/ExportManager.java
===================================================================
--- main/plugin-odf-export/src/org/ametys/odf/export/ExportManager.java	(revision 40742)
+++ main/plugin-odf-export/src/org/ametys/odf/export/ExportManager.java	(working copy)
@@ -411,7 +411,7 @@
         
         addAdditionnalContentMetadata(metadataDef, currentCreateTableSQLQuery, tableName);
         
-        currentCreateTableSQLQuery.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ");
+        currentCreateTableSQLQuery.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ROW_FORMAT=COMPRESSED ");
         currentCreateTableSQLQuery.append(createCommentQuery(tableName, null, comment));
         
         tableInfo.addQuery(currentCreateTableSQLQuery.toString());
@@ -688,13 +688,13 @@
         sql.append("CREATE TABLE ");
         sql.append(normalizedTableName(tableName));
         sql.append(" (");
-        sql.append("key_enum VARCHAR(255) PRIMARY KEY NOT NULL ");
+		sql.append("key_enum VARCHAR(255) PRIMARY KEY NOT NULL ");
         sql.append(createCommentQuery(tableName, "key_enum_" + metadataDef.getName(), "Clé de l'enumerateur"));
         
         sql.append(" , ");
         addColumnForStringMetadata(sql, "value_enum_" + metadataDef.getName(), tableName);
         
-        sql.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ");
+        sql.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ROW_FORMAT=COMPRESSED ");
         sql.append(createCommentQuery(tableName, null, "Table de l'énumérateur " + metadataDef.getName() + " liée à la table " + tableParentName));
         
         tableInfo.addQuery(sql.toString());
@@ -763,7 +763,7 @@
         addSortColumn(currentCreateTableSQLQuery, tableName);
         
         currentCreateTableSQLQuery.append(", CONSTRAINT primary_key_metadata_multiple PRIMARY KEY (" + normalizedColumnName(COLUMN_PARENT_TABLE_PREFIX + tableParentName) + ", position)");
-        currentCreateTableSQLQuery.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ");
+        currentCreateTableSQLQuery.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ROW_FORMAT=COMPRESSED ");
         
         String comment = "Metadonné multiple " + metadataDef.getName() + " liée à la table " + normalizedTableName(tableParentName);
         currentCreateTableSQLQuery.append(createCommentQuery(tableName, null, comment));
@@ -818,7 +818,7 @@
         currentCreateTableSQLQuery.append(", ");
         addSortColumn(currentCreateTableSQLQuery, dataTableName);
         
-        currentCreateTableSQLQuery.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ");
+        currentCreateTableSQLQuery.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ROW_FORMAT=COMPRESSED ");
         
         String comment = "Table des données de tous les textes riches";
         currentCreateTableSQLQuery.append(createCommentQuery(dataTableName, null, comment));
Index: main/plugin-odf-export/src/org/ametys/odf/export/ODFExportManager.java
===================================================================
--- main/plugin-odf-export/src/org/ametys/odf/export/ODFExportManager.java	(revision 40742)
+++ main/plugin-odf-export/src/org/ametys/odf/export/ODFExportManager.java	(working copy)
@@ -169,7 +169,7 @@
         addColumnForStringMetadata(sql, "language", tableName);
         sql.append(" " + createCommentQuery(tableName, "language", "Langue de la traduction"));
         
-        sql.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ");
+        sql.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ROW_FORMAT=COMPRESSED ");
         sql.append(createCommentQuery(tableName, null, "Table liant les différentes traductions pour les contenus de la table " + normalizedTableName(tableParent)));
         tableInfo.addQuery(sql.toString());
 
@@ -246,7 +246,7 @@
         sql.append(", ");
         addSortColumn(sql, tableNameCourseList);
         
-        sql.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ");
+        sql.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ROW_FORMAT=COMPRESSED ");
         sql.append(createCommentQuery(tableNameCourseList, null, "Liste des cours : liste des cours"));
         
         tableInfo.addQuery(sql.toString());
@@ -278,7 +278,7 @@
         
         sql.append(", CONSTRAINT primary_key_link_table PRIMARY KEY (" + normalizedColumnName(COLUMN_PARENT_TABLE_PREFIX + tableNameCourseList) + "(100), " + normalizedColumnName(COLUMN_PARENT_TABLE_PREFIX + tableNameCourse) + "(100), position)");
 
-        sql.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ");
+        sql.append(") ENGINE=" + ODF_EXPORT_ENGINE + " ROW_FORMAT=COMPRESSED ");
         sql.append(createCommentQuery(tableName, null, "Table de liaison entre les listes de cours et les cours"));
         
         tableInfo.addQuery(sql.toString());